For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authorization

Biographic database OAuth 2.0 authorization.

authorize

post

Use OAuth 2.0 to authorize the API to request biographics.

Body

Authorization request

clientIDstringOptionalExample: client-id
clientSecretstringOptionalExample: client-secret
Responses
200

Authorization OK

application/json

JWT Token Response

tokenstringOptionalExample: eyJhbGciOiJIUzUxMiJ9.eyJpZCI6MSwibmFtZSI6IkpvaG4ifQ.J3KLoXwPhku...
post/authorize
POST /biographicBase/authorize HTTP/1.1
Host: <ip>:8130
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "clientID": "client-id",
  "clientSecret": "client-secret"
}
{
  "token": "eyJhbGciOiJIUzUxMiJ9.eyJpZCI6MSwibmFtZSI6IkpvaG4ifQ.J3KLoXwPhku..."
}

Last updated

Was this helpful?